<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
/***************************************************************************
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(!defined("IN_FUSION") || !checkrights("I")) {
	header("Location: ../../index.php");
	exit;
}

if(file_exists(INFUSIONS."aw_wow/locale/".$settings['locale'].".php")) {
	include INFUSIONS."aw_wow/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."aw_wow/locale/German.php";
}

// Infusion general information
$inf_title = "awWOW";
$inf_description = $locale['WOW_002'];
$inf_version = "0.2";
$inf_developer = "wibix";
$inf_email = "wibix@gmx.de";
$inf_weburl = "http://wibix.de";

$inf_folder = "aw_wow";
$inf_admin_image = "";
$inf_admin_panel = "";

$inf_link_name = $inf_title;
$inf_link_url = "index.php";

$inf_newtables = 1;
$inf_insertdbrows = 0;
$inf_altertables = 1;
$inf_deldbrows = 0;

$inf_newtable_[1] = "wow_macros (
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(128) NOT NULL default '',
  description text NOT NULL,
  macro text NOT NULL,
  user_id smallint(5) unsigned NOT NULL default '0',
  datestamp int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_altertable_[1] = "wow_macros"
	." ADD edit_user_id smallint(5) unsigned NOT NULL default '0'"
	.",ADD edit_datestamp int(10) unsigned NOT NULL default '0'";

$inf_droptable_[1] = "wow_macros";

?>
